<div class="card-dialog-header">
    <h1 class="card-dialog-heading" *ngIf="showCardDialogHeading">
        {{ cardName }}
    </h1>
    <button (click)="toggleNameInputDiv()" class="edit-cardName-button" *ngIf="showEditCardNameButton">Edit card name</button>
    <button mat-dialog-close mat-dialog-close="delete">Delete card</button>
    <button class="add-checklist-button" (click)="toggleChecklistInputDiv()">Add Checklist</button>
    <div class="checklist-name-input-div" *ngIf="showChecklistInputDiv">
        <input type="text" class="input" (change)="handleChecklistInputChange($event)" value="Checklist">
        <button class="save-button" (click)="addNewChecklist()">Save</button>
    </div>
    <div class="card-dialog-name-input-div" *ngIf="showCardDialogNameInputDiv">
        <input type="text" class="input" (change)="handleInputChange($event)" value="{{ data.name }}">
        <button class="save-button" (click)="editCardName()" mat-dialog-close mat-dialog-close="{{ cardName }}">Save</button>
    </div>
</div>
<div class="checklist-div" *ngFor="let checklist of checklistData">
    <h3 class="checklist-heading" *ngIf="targetId === checklist.id ? showChecklistHeading : true" id="{{ checklist.id }}" 
        (click)=toggleChecklistEditInputDiv($event)>{{ checklist.name }}</h3>
    <div class="checklist-name-edit-input-div" *ngIf="targetId === checklist.id ? showChecklistEditInputDiv : false">
        <input type="text" class="input" (change)="handleChecklistInputChange($event)" value="{{ checklist.name }}">
        <button class="save-button" (click)="editChecklistName()">Save</button>
    </div>
    <button class="delete-checklist-button" id="{{ checklist.id }}" (click)="deleteThisChecklist($event)">Delete checklist</button>
    <div class="checkItems-div" *ngFor="let checkItem of checklist.checkItems">
        <input type="checkbox" id="{{ checkItem.id }}" name="{{ checkItem.name }}">
        <label for="{{ checkItem.name }}" *ngIf="targetCheckItemId === checkItem.id ? showCheckItemName : true"
                id="{{ checkItem.id }}" (click)="toggleCheckItemEditInput($event)">{{ checkItem.name }}</label>
        <label for="{{ checkItem.name }}" *ngIf="targetCheckItemId === checkItem.id ? showCheckItemEditInput : false">
            <input type="text" (change)="handleCheckItemEditInputChange($event)" value="{{ checkItem.name }}" id="{{ checklist.id }}">
            <button class="save-button" (click)="editCheckItemName()">Save</button>
            <button class="delete-button" (click)="deleteThisCheckItem()">Delete</button>
        </label>
    </div>
    <button class="add-item-button" (click)=toggleCheckItemInputDiv($event) id="{{ checklist.id }}">Add an item</button>
    <div class="checkItem-input-div" *ngIf="targetId === checklist.id ? showCheckItemInputDiv : false">
        <input type="text" class="input" (change)="handleCheckItemInputChange($event)">
        <button class="add-checkItem-button" (click)="addNewCheckItem()">Add</button>
    </div>
</div>
<div mat-dialog-actions>
    <button mat-dialog-close>Close</button>
</div>